@media not (prefers-reduced-motion: reduce) {
    @view-transition {
        navigation: auto;
    }
    .wp-block-post-title,
    .np-block-card__title {
        view-transition-name: post-title;
    }

    .np-block-card__image,
    .wp-post-image {
        view-transition-name: post-image;
    }

    .np-block-card__byline,
    .np-intro-author-name-list {
        view-transition-name: post-author;
    }
}


body {
    font-kerning: none;
    font-optical-sizing: auto;
    font-smooth: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

:root {
    --primary-font-family: var(--wp--preset--font-family--asap);
}

.has-corporate-blue-darker-background-color {
    .np-block-card {
        --wp--preset--color--text: white;
        --wp--preset--color--text-gray: white;
        --wp--preset--color--corporate-blue-darker: white;
    }
}


a,
a:link,
a:visited {
    color: var(--wp--preset--color--corporate-blue-darker, inherit);
    text-decoration: none;
}


.is-style-section-corporate {

    a,
    a:link,
    a:visited,
    a:focus {
        color: var(--wp--preset--color--white);
    }

    p {
        max-width: 100%;

        a {
            text-decoration: none;
            transition: border-bottom-width 0.2s ease-in-out;
            border-width: 2px;
            border-bottom-style: solid;
            border-bottom-color: var(--wp--preset--color--white);

            &:link, &:visited {
                transition: border-bottom-width 0.2s ease-in-out;
                color: var(--wp--preset--color--white);
            }

            &:hover, &:focus, &:active {
                transition: border-bottom-width 0.2s ease-in-out;
                border-bottom-width:4px;
            }
        }

    }

    .wp-social-link {
        background-color: white !important;
    }

}

.has-x-large-font-size {
    p {
        line-height: 1.2;
    }
}

/*
* ********************************
* Caption
* ********************************
*/
.wp-element-caption {
    max-width: var(--wp--style--global--content-size);
    margin: 0 auto;
    padding-top: var(--wp--preset--spacing--20);
    padding-bottom: var(--wp--preset--spacing--20);
    color: var(--wp--preset--color--text);

}

.media-license-caption {
    color: var(--wp--preset--color--text-gray);
}

.media-license-caption a {
    display:inline;
    color: var(--wp--preset--color--text-gray);
}

.post-template-post-single-kolumne .media-license-caption,
.post-template-post-single-kolumne-with-image .media-license-caption,
.post-template-post-single-kolumne .media-license-caption a,
.post-template-post-single-kolumne-with-image .media-license-caption a
 {
    color:white;
}

figure.wp-block-image.alignleft,
figure.wp-block-image.alignright {
	figcaption {
		font-size: var(--wp--preset--font-size--xx-small);
	}
}

.facetwp-facet {
    margin-top: 10px;
}

.facetwp-checkbox {
    font-size: var(--wp--preset--font-size--small);
    background-size: 8px 8px;
}

.facetwp-counter {
    color: var(--wp--preset--color--text-gray);
}

.facetwp-toggle {
    font-size: var(--wp--preset--font-size--small);
    font-weight: var(--wp--custom--font-weight--bold);
}


.vollehaert-np-supertitle {
    display:block;
    color: var(--wp--preset--color--corporate-blue-darker);
    font-size: var(--wp--preset--font-size--large);
    margin-bottom: var(--wp--preset--spacing--20);
}



.related_terms {
    display: flex;
    gap: 20px;
    flex-direction: column;
}

@media (min-width:760px ) {
    flex-direction: row;
}

.related_terms_title {
    font-weight: var(--wp--custom--font-weight--bold);
    font-size: var(--wp--preset--font-size--medium);
    white-space: nowrap;
}

.related_terms_list {
    list-style: none;
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    margin: 0;
    position: relative;
    top: -5px;

    li a {
        &:link, &:visited {
            color: var(--wp--preset--color--text);
            border: 2px solid var(--wp--preset--color--corporate-blue-darker);
            text-decoration: none;
            font-size: var(--wp--preset--font-size--small);
            border-radius: 20px;
            padding: 6px 15px;
        }
    }
}

.wp-block-button__link {
    /* corner-shape: squircle; */
}

.wpcf7 {

    p {
        margin-block-start: 10px;
        margin-block-end: 5px;
        font-size: var(--wp--preset--font-size--small);
    }
    border-radius: 2px;
    label {
        font-size: var(--wp--preset--font-size--small);
    }

    fieldset {
        margin: 0 -20px;
        padding: 0 20px;
        border: 1px solid var(--wp--preset--color--lost-in-time);
    }


    input, select {
        /* corner-shape: squircle; */
        font-size: var(--wp--preset--font-size--medium);
        font-family: var(--wp--preset--font-family--asap);
        border-radius: 2px;
        /* corner-shape: squircle; */
        border-color: var(--wp--preset--color--text);
        border-width: 1px;
        padding: 8px 10px;
        &:active, &:focus {
            outline: 1px solid var(--wp--preset--color--corporate-blue);
        }
    }

    form .wpcf7-response-output {
        font-size: var(--wp--preset--font-size--medium);
        margin: 0 -20px;
        padding: 20px;
        border-width: 1px;
    }
    form.invalid .wpcf7-response-output {
        border-color: red;
    }

    .wpcf7-not-valid-tip {
        color: #dc3232;
        font-size: var(--wp--preset--font-size--small);
        font-weight: normal;
        display: block;
    }

    .wpcf7-list-item {
        margin: 0 20px 0 0;
    }
    .wpcf7-form-control {
        display: flex;
        flex-direction: column;
    }
}

input {
    &::placeholder {
        color: var(--wp--preset--color--lost-in-time);
    }

    &:disabled {
        cursor: not-allowed;
    }

    &:not(:disabled) {
        &[type="submit"] {
            background-color: var(--wp--preset--color--corporate-blue);
            color: white;
            padding: 8px 30px;
            border-radius: 20px;
            border: none;
            cursor: pointer;
            transition: all 333ms ease-in-out;
            &:hover {
                background-color: var(--wp--preset--color--corporate-blue-darker);
            }
        }
    }
}


.comment-reply-link {
    font-size: var(--wp--preset--font-size--small);
    font-weight: bold;
    background-color: var(--wp--preset--color--corporate-blue-darker);
    color: white !important;
    border-radius: 160px;
    padding: var(--wp--preset--spacing--20) var(--wp--preset--spacing--30);
    /* corner-shape: squircle; */
}

.wp-block-comment-template ol {
    margin-left: var(--wp--preset--spacing--30);
}
